from abc import abstractmethod

from cpl_core.database import TableABC


class TableWithIdABC(TableABC):
    @abstractmethod
    def __init__(self):
        self.__init__()

        self._id = 0

    @property
    def id(self) -> int:
        return self._id
