from cpl_core.logging import LoggerABC
from cpl_discord.command import DiscordCommandABC
from cpl_discord.service import DiscordBotServiceABC
from discord.ext import commands
from discord.ext.commands import Context


class MakeCoffeeCommand(DiscordCommandABC):
    def __init__(self, logger: LoggerABC, bot: DiscordBotServiceABC):
        DiscordCommandABC.__init__(self)

        self._logger = logger
        self._bot = bot

    @commands.hybrid_command(name="make-coffee")
    async def make_coffee(self, ctx: Context):
        await ctx.send("https://media.giphy.com/media/M4ecx9P2jI4tq/giphy.gif")
